DACS_MEX(8) | DACS Web Services and CGI | DACS_MEX(8)

## NAME

dacs_mex — WS-MetadataExchange responder for Information Cards

## SYNOPSIS

`dacs_mex` [`dacsoptions`]

## DESCRIPTION

This program is part of the DACS suite.

The dacs_mex web service is the WS-MetadataExchange responder for DACS's managed Information Cards.

Refer to dacs_infocard(8) and dacs_managed_infocard(8) for additional information.

## OPTIONS

### Web Service Arguments

dacs_mex understands the following CGI arguments:

`AUTHTYPE`

  This argument identifies the authentication credential type required by the IP/STS. The following values are understood:

  - `PASSWD`

    The UsernamePasswordCredential authentication credential type is required.

  - `CERT`

    The X509V3Credential authentication credential type is required.

  - `CARD`

    The SelfIssuedCredential authentication credential type is required.

## DIAGNOSTICS

The program exits `0` if everything was fine, `1` if an error occurred.

## BUGS

As this is a relatively new and complicated feature, please test carefully.

## SEE ALSO

dacsinfocard(1), dacs.conf(5), dacs_authenticate(8), dacs_sts(8), Using InfoCards With DACS

## AUTHOR

Distributed Systems Software (www.dss.ca)

## COPYING

Copyright © 2003-2012 Distributed Systems Software. See the `LICENSE` file that accompanies the distribution for licensing information.

DACS Version 1.4.38a | 23-Nov-2016 | DACS_MEX(8)

Table of Contents

Font:

- Z
- Z
- Z
- Z

−−

Set

++

$Id: dacs_mex.8.xml 2563 2012-02-07 22:40:41Z brachman $